Skip to main content
GET
/
payments
/
history
Get payment history
curl --request GET \
  --url https://v2.prod.halliday.xyz/payments/history \
  --header 'Authorization: Bearer <token>'
{
  "payment_statuses": [
    {
      "payment_id": "<string>",
      "status": "PENDING",
      "funded": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "initiate_fund_by": "2023-11-07T05:31:56Z",
      "quoted": {
        "output_amount": {
          "asset": "ethereum:0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
          "amount": "1"
        },
        "fees": {
          "total_fees": "<string>",
          "conversion_fees": "<string>",
          "network_fees": "<string>",
          "business_fees": "<string>",
          "currency_symbol": "USD"
        },
        "route": [
          {
            "type": "ONRAMP",
            "net_effect": {
              "consume": [
                {
                  "account": "USER",
                  "resource": {
                    "asset": "<string>",
                    "property": "APPROVAL"
                  },
                  "amount": {
                    "amount": "<string>"
                  }
                }
              ],
              "produce": [
                {
                  "account": "USER",
                  "resource": {
                    "asset": "<string>",
                    "property": "APPROVAL"
                  },
                  "amount": {
                    "amount": "<string>"
                  }
                }
              ]
            },
            "pieces_info": [
              {
                "type": "onramp"
              }
            ],
            "step_index": 123
          }
        ],
        "onramp": "<string>",
        "onramp_method": "credit_card"
      },
      "fulfilled": {
        "route": [
          {
            "status": "PENDING",
            "type": "ONRAMP",
            "net_effect": {
              "consume": [
                {
                  "account": "USER",
                  "resource": {
                    "asset": "<string>",
                    "property": "APPROVAL"
                  },
                  "amount": {
                    "amount": "<string>"
                  }
                }
              ],
              "produce": [
                {
                  "account": "USER",
                  "resource": {
                    "asset": "<string>",
                    "property": "APPROVAL"
                  },
                  "amount": {
                    "amount": "<string>"
                  }
                }
              ]
            },
            "pieces_info": [
              {
                "type": "onramp"
              }
            ],
            "step_index": 123,
            "transaction_hash": "<string>"
          }
        ],
        "output_amount": {
          "asset": "ethereum:0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
          "amount": "1"
        },
        "fees": {
          "total_fees": "<string>",
          "conversion_fees": "<string>",
          "network_fees": "<string>",
          "business_fees": "<string>",
          "currency_symbol": "USD"
        },
        "onramp": "<string>",
        "onramp_method": "credit_card"
      },
      "current_prices": {
        "USD": "1.00",
        "ethereum:0x": "4200",
        "ethereum:0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48": "1.00"
      },
      "price_currency": "USD",
      "processing_addresses": [
        {
          "chain": "ethereum",
          "address": "<string>"
        }
      ],
      "owner_address": "<string>",
      "destination_address": "<string>",
      "completed_at": "2023-11-07T05:31:56Z",
      "quote_request": {
        "request": {
          "kind": "FIXED_INPUT",
          "fixed_input_amount": {
            "asset": "ethereum:0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
            "amount": "1"
          },
          "output_asset": "ethereum:0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
        },
        "price_currency": "USD",
        "onramps": [
          "moonpay",
          "coinbase"
        ],
        "onramp_methods": [
          "credit_card",
          "ach",
          "apple_pay"
        ],
        "customer_ip_address": "<string>",
        "customer_id": "<string>",
        "customer_geolocation": {
          "alpha3_country_code": "<string>",
          "state_code": "<string>"
        },
        "parent_payment_id": "<string>"
      },
      "customer_id": "<string>",
      "next_instruction": {
        "type": "ONRAMP",
        "payment_id": "<string>",
        "funding_page_url": "https://app.halliday.xyz/funding/${payment_id}",
        "deposit_info": [
          {
            "deposit_token": "base:0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
            "deposit_amount": "4.8",
            "deposit_address": "0xaddress",
            "deposit_chain": "base"
          }
        ]
      }
    }
  ],
  "next_pagination_key": "42ff9b02-037f-4a90-87fb-a4d2ca128565_2025-11-12T22:08:52.517Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

owner_address
string
required

Owner address to filter payments by

pagination_key
string

Pagination key from previous response to fetch next page

limit
number

Maximum number of results to return

category
enum<string>
default:NEW_OR_FUNDED

Filter payments by category

Available options:
ALL,
NEW_OR_FUNDED

Response

Payment history retrieved successfully

payment_statuses
object[]
required

Array of payment status objects

next_pagination_key
string

Pagination key to fetch the next page of results

Example:

"42ff9b02-037f-4a90-87fb-a4d2ca128565_2025-11-12T22:08:52.517Z"